from openpyxl import load_workbook
import xml.etree.ElementTree as ET

tree = ET.parse('template.xml')
root = tree.getroot()
wb = load_workbook('for_use_ximad_7-13_bubble-birds-4-localization_proofedxlsx_pt_BR.xlsx', read_only=True)
ws = wb.get_active_sheet()
for col in range(4, 17):
    child = 0
    for i in range(3, 151):
        val = ws.cell(row = i, column = col).value
        if val is not None:
            root[child].text = val
            child += 1

    tree.write(ws.cell(row = 1, column = col).value + ".xml", "utf-8", True)
